aboutsummaryrefslogtreecommitdiff
path: root/target/device/Atmel/atstk1005/target_skeleton/etc/init.d
diff options
context:
space:
mode:
Diffstat (limited to 'target/device/Atmel/atstk1005/target_skeleton/etc/init.d')
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/K20alsa-utils14
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/K70sendsig1
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/K80netfs1
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/K85network11
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/K90localfs1
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S00mountvirtfs74
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S01hotplug14
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S02hostname47
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S03bootsplash25
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S08syslog24
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S09klog16
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S10modules-init21
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S15localfs11
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S20network11
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S40telnetd16
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S41inetd16
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S42httpd16
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S43ntp27
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S49netfs11
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S50alsa-utils19
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S99gpio142
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S99splash17
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/rcK6
-rw-r--r--target/device/Atmel/atstk1005/target_skeleton/etc/init.d/rcS11
24 files changed, 0 insertions, 552 deletions
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/K20alsa-utils b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/K20alsa-utils
deleted file mode 100644
index 68f7462342..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/K20alsa-utils
+++ /dev/null
@@ -1,14 +0,0 @@
-#!/bin/sh
-
-PROGRAM=/usr/sbin/alsactl
-
-# Exit silently if alsa-utils isn't installed
-[ -x ${PROGRAM} ] || exit 0
-
-echo -n "Saving mixer state: "
-if ${PROGRAM} store; then
- echo "done"
-else
- echo "failed"
- exit 1
-fi
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/K70sendsig b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/K70sendsig
deleted file mode 100644
index 1a2485251c..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/K70sendsig
+++ /dev/null
@@ -1 +0,0 @@
-#!/bin/sh
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/K80netfs b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/K80netfs
deleted file mode 100644
index 1a2485251c..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/K80netfs
+++ /dev/null
@@ -1 +0,0 @@
-#!/bin/sh
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/K85network b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/K85network
deleted file mode 100644
index d4e8e6139a..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/K85network
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-
-IFDOWN=/sbin/ifdown
-
-echo -n "Stopping networking: "
-if ${IFDOWN} -a; then
- echo "done"
-else
- echo "failed"
- exit 1
-fi
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/K90localfs b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/K90localfs
deleted file mode 100644
index 1a2485251c..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/K90localfs
+++ /dev/null
@@ -1 +0,0 @@
-#!/bin/sh
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S00mountvirtfs b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S00mountvirtfs
deleted file mode 100644
index d9e5c9249f..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S00mountvirtfs
+++ /dev/null
@@ -1,74 +0,0 @@
-#!/bin/sh
-
-MOUNT=/bin/mount
-MKDIR=/bin/mkdir
-
-retval=0
-
-mount_fs()
-{
- if [ "$1" = "" -o "$2" = "" -o "$3" = "" ]; then
- return;
- fi
-
- if [ "$4" = "" ]; then
- if ! ${MOUNT} -t $3 $1 $2; then
- echo " mount $2 failed"
- retval=1
- return 1
- else
- echo " $2 mounted"
- fi
- else
- if ! ${MOUNT} -t $3 -o $4 $1 $2; then
- echo " mount $2 failed"
- retval=1
- return 1
- else
- echo " $2 mounted"
- fi
- fi
-
- return 0
-}
-
-mkdir_fs()
-{
- if [ "$1" = "" ]; then
- return;
- fi
-
- if ! ${MKDIR} $1; then
- echo " mkdir $1 failed"
- retval=1
- return 1
- else
- echo " $1 directory made"
- fi
-
- return 0
-}
-
-echo "Mounting virtual filesystems:"
-
-mount_fs proc /proc proc
-mount_fs sys /sys sysfs
-
-if mount_fs dev /dev tmpfs "size=512k,mode=0755"; then
- mkdir_fs /dev/pts
- mount_fs pts /dev/pts devpts
- mkdir_fs /dev/shm
- # g_serial is not detected by mdev.
- mknod /dev/ttygserial c 127 0
-fi
-
-mount_fs config /config configfs
-mount_fs tmp /tmp tmpfs
-mount_fs run /var/run tmpfs
-mount_fs log /var/log tmpfs
-
-if [ $retval -ne 0 ]; then
- echo " WARNING: not able to mount all virtual file systems"
-fi
-
-exit $retval
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S01hotplug b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S01hotplug
deleted file mode 100644
index 15e075b887..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S01hotplug
+++ /dev/null
@@ -1,14 +0,0 @@
-#!/bin/sh
-
-echo -n "Setting up mdev: "
-set -e
-trap 'echo "failed"' EXIT
-/bin/ln -s /proc/self/fd /dev/fd
-/bin/ln -s /proc/self/fd/0 /dev/stdin
-/bin/ln -s /proc/self/fd/1 /dev/stdout
-/bin/ln -s /proc/self/fd/2 /dev/stderr
-/bin/ln -s /proc/kcore /dev/core
-/bin/echo /sbin/mdev > /proc/sys/kernel/hotplug
-/sbin/mdev -s
-trap - EXIT
-echo "done"
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S02hostname b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S02hostname
deleted file mode 100644
index cf858ed629..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S02hostname
+++ /dev/null
@@ -1,47 +0,0 @@
-#!/bin/sh
-
-PROGRAM=/bin/hostname
-
-echo -n "Setting hostname: "
-[ -x ${PROGRAM} ] || (echo " missing"; exit 0)
-
-if [ -f /etc/hostname ]; then
- HOST="$(cat /etc/hostname)"
-else
- HOST="localhost.localdomain"
-fi
-
-start() {
- if ${PROGRAM} "${HOST}"; then
- echo "'${HOST}'"
- else
- echo "failed"
- exit 1
- fi
-}
-
-stop() {
- return 0
-}
-
-restart() {
- stop
- start
-}
-
-case "$1" in
- start)
- start
- ;;
- stop)
- stop
- ;;
- restart|reload)
- restart
- ;;
- *)
- echo $"Usage: $0 {start|stop|restart}"
- exit 1
-esac
-
-exit $?
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S03bootsplash b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S03bootsplash
deleted file mode 100644
index 21a3a5758b..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S03bootsplash
+++ /dev/null
@@ -1,25 +0,0 @@
-#!/bin/sh
-
-FBV=/usr/bin/fbv
-FBSET=/usr/sbin/fbset
-FBMODEFILE="/etc/fb.modes"
-SPLASHFILE="/etc/stk1000bootsplash.jpg"
-
-echo -n "Bootsplash image: "
-if [ ! -x "${FBV}" -o ! -x "${FBSET}" -o \
- ! -f "${SPLASHFILE}" -o ! -f "${FBMODEFILE}" ]; then
- echo "missing"
- exit 1
-fi
-
-if ! ${FBSET} 320x240-68; then
- echo "failed"
- exit 1
-fi
-
-${FBV} ${SPLASHFILE} > /dev/null &
-if [ $? -eq 0 ]; then
- echo "loaded"
-else
- echo "failed"
-fi
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S08syslog b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S08syslog
deleted file mode 100644
index 58b05925db..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S08syslog
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/sh
-
-SYSLOGD=/sbin/syslogd
-
-echo -n "Starting syslogd: "
-if [ ! -x "${SYSLOGD}" ]; then
- echo "missing"
- exit 1
-fi
-
-if ${SYSLOGD}; then
- echo "done"
-else
- echo "failed"
- exit 1
-fi
-
-echo -n "Log messages to syslog: "
-if echo 4 4 1 7 > /proc/sys/kernel/printk; then
- echo "done"
-else
- echo "failed"
- exit 1
-fi
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S09klog b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S09klog
deleted file mode 100644
index 1b0028a084..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S09klog
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/bin/sh
-
-KLOGD=/sbin/klogd
-
-echo -n "Starting klogd: "
-if [ ! -x "${KLOGD}" ]; then
- echo "missing"
- exit 1
-fi
-
-if ${KLOGD}; then
- echo "done"
-else
- echo "failed"
- exit 1
-fi
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S10modules-init b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S10modules-init
deleted file mode 100644
index e2cf4e3036..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S10modules-init
+++ /dev/null
@@ -1,21 +0,0 @@
-#!/bin/sh
-
-MODPROBE=/sbin/modprobe
-
-echo -n "Probing modules: "
-if [ ! -x "${MODPROBE}" -o ! -f "/etc/modules" ]; then
- echo "missing"
- exit 1
-else
- echo
-fi
-
-grep '^[^#]' "/etc/modules" | \
-while read module args; do
- [ "$module" ] || continue
- if ${MODPROBE} $module $args; then
- echo " $module loaded"
- else
- echo " $module failed"
- fi
-done
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S15localfs b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S15localfs
deleted file mode 100644
index a0b5a89824..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S15localfs
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-
-MOUNT=/bin/mount
-
-echo -n "Mounting local filesystems: "
-if ${MOUNT} -a; then
- echo "done"
-else
- echo "failed"
- exit 1
-fi
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S20network b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S20network
deleted file mode 100644
index 06cf8cb000..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S20network
+++ /dev/null
@@ -1,11 +0,0 @@
-#! /bin/sh
-
-IFUP=/sbin/ifup
-
-echo -n "Network interfaces: "
-if ${IFUP} -a; then
- echo "done"
-else
- echo "failed"
- exit 1
-fi
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S40telnetd b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S40telnetd
deleted file mode 100644
index e0fd2f2f34..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S40telnetd
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/bin/sh
-
-TELNETD=/usr/sbin/telnetd
-
-echo -n "Starting telnetd: "
-if [ ! -x "${TELNETD}" ]; then
- echo "missing"
- exit 1
-fi
-
-if ${TELNETD} -l /bin/sh; then
- echo "done"
-else
- echo "failed"
- exit 1
-fi
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S41inetd b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S41inetd
deleted file mode 100644
index e485dcc5b0..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S41inetd
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/bin/sh
-
-INETD=/usr/sbin/inetd
-
-echo -n "Starting inetd: "
-if [ ! -x "${INETD}" ]; then
- echo "missing"
- exit 1
-fi
-
-if ${INETD}; then
- echo "done"
-else
- echo "failed"
- exit 1
-fi
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S42httpd b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S42httpd
deleted file mode 100644
index f8e7813e65..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S42httpd
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/bin/sh
-
-HTTPD=/usr/sbin/httpd
-
-echo -n "Starting httpd: "
-if [ ! -x "${HTTPD}" ]; then
- echo "missing"
- exit 1
-fi
-
-if ${HTTPD} -h /www; then
- echo "done"
-else
- echo "failed"
- exit 1
-fi
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S43ntp b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S43ntp
deleted file mode 100644
index 69fa4c8940..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S43ntp
+++ /dev/null
@@ -1,27 +0,0 @@
-#!/bin/sh
-
-NTPDATE=/usr/bin/ntpdate
-
-if [ -f /etc/default/ntpdate ]; then
- . /etc/default/ntpdate
-else
- echo "WARNING: missing /etc/default/ntpdate"
- exit 1
-fi
-
-echo -n "Starting ntpdate: "
-if [ ! -x ${NTPDATE} ]; then
- echo "missing"
- echo -n " WARNING: could not syncronize clock, "
- echo "edit NTPSERVERS in /etc/default/ntpdate."
- exit 1
-fi
-
-if ${NTPDATE} $NTPOPTIONS $NTPSERVERS; then
- echo "done"
-else
- echo "failed"
- echo -n " WARNING: could not syncronize clock, "
- echo "edit NTPSERVERS in /etc/default/ntpdate."
- exit 1
-fi
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S49netfs b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S49netfs
deleted file mode 100644
index e1e0fbf4f1..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S49netfs
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-
-MOUNT=/bin/mount
-
-echo -n "Mounting remote filesystems: "
-if ${MOUNT} -t nfs -a; then
- echo "done"
-else
- echo "failed"
- exit 1
-fi
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S50alsa-utils b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S50alsa-utils
deleted file mode 100644
index e92e5d8aeb..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S50alsa-utils
+++ /dev/null
@@ -1,19 +0,0 @@
-#!/bin/sh
-
-PROGRAM=/usr/sbin/alsactl
-
-# Exit silently if alsa-utils isn't installed
-[ -x ${PROGRAM} ] || exit 0
-
-echo -n "Restoring mixer state: "
-if [ ! -f /etc/asound.state ]; then
- echo "missing"
- exit 1
-fi
-
-if ${PROGRAM} restore; then
- echo "done"
-else
- echo "failed"
- exit 1
-fi
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S99gpio b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S99gpio
deleted file mode 100644
index 7c07f28015..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S99gpio
+++ /dev/null
@@ -1,142 +0,0 @@
-#!/bin/sh
-
-echo -n "Get board type for GPIO: "
-if [ ! -e "/etc/release" ]; then
- echo "missing";
- exit 1
-fi
-
-BOARD=`cat /etc/release | cut -d ' ' -f1`
-
-if [ "${BOARD}" = "" ]; then
- echo "none";
-elif [ "${BOARD}" = "NGW" ]; then
- echo "'${BOARD}'"
-
- echo -n " boot LED: "
- if mkdir /config/gpio/bootled > /dev/null 2> /dev/null; then
- if ! echo 0 > /config/gpio/bootled/gpio_id; then
- echo "failed"
- exit 1
- fi
-
- if ! echo 0x10000 > /config/gpio/bootled/pin_mask; then
- echo "failed"
- exit 1
- fi
-
- if ! echo 0x10000 > /config/gpio/bootled/oe_mask; then
- echo "failed"
- exit 1
- fi
-
- if ! echo 1 > /config/gpio/bootled/enabled; then
- echo "failed"
- exit 1
- fi
-
- if ! echo 0x10000 > /dev/gpio0; then
- echo "failed"
- exit 1
- fi
-
- echo "done"
- else
- echo "failed"
- exit 1
- fi
-
- echo -n " LED A: "
- if mkdir /config/gpio/leda > /dev/null 2> /dev/null; then
- if ! echo 0 > /config/gpio/leda/gpio_id; then
- echo "failed"
- exit 1
- fi
-
- if ! echo 0x80000 > /config/gpio/leda/pin_mask; then
- echo "failed"
- exit 1
- fi
-
- if ! echo 0x80000 > /config/gpio/leda/oe_mask; then
- echo "failed"
- exit 1
- fi
-
- if ! echo 1 > /config/gpio/leda/enabled; then
- echo "failed"
- exit 1
- fi
-
- if ! echo 0 > /dev/gpio1; then
- echo "failed"
- exit 1
- fi
-
- echo "done"
- else
- echo "failed"
- exit 1
- fi
-
- echo -n " LED B: "
- if mkdir /config/gpio/ledb > /dev/null 2> /dev/null; then
- if ! echo 4 > /config/gpio/ledb/gpio_id; then
- echo "failed"
- exit 1
- fi
-
- if ! echo 0x80000 > /config/gpio/ledb/pin_mask; then
- echo "failed"
- exit 1
- fi
-
- if ! echo 0x80000 > /config/gpio/ledb/oe_mask; then
- echo "failed"
- exit 1
- fi
-
- if ! echo 1 > /config/gpio/ledb/enabled; then
- echo "failed"
- exit 1
- fi
-
- if ! echo 0 > /dev/gpio2; then
- echo "failed"
- exit 1
- fi
-
- echo "done"
- else
- echo "failed"
- exit 1
- fi
-elif [ "${BOARD}" = "STK1000" ]; then # end NGW
- echo "'${BOARD}'"
-
- echo -n " switches: "
- if mkdir /config/gpio/switches > /dev/null 2> /dev/null; then
- if ! echo 1 > /config/gpio/switches/gpio_id; then
- echo "failed"
- exit 1
- fi
-
- if ! echo 0xff > /config/gpio/switches/pin_mask; then
- echo "failed"
- exit 1
- fi
-
- if ! echo 1 > /config/gpio/switches/enabled; then
- echo "failed"
- exit 1
- fi
-
- echo "done"
- else
- echo "failed"
- exit 1
- fi
-else # end STK1000
- echo "'${BOARD}'"
- echo " WARNING: no GPIO for this board"
-fi
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S99splash b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S99splash
deleted file mode 100644
index 47001adb21..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/S99splash
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/bin/sh
-
-PROGRAM=/usr/bin/fbv
-SPLASHFILE="/etc/stk1000splash.jpg"
-
-echo -n "Splash image: "
-if [ ! -x "${PROGRAM}" -o ! -f "${SPLASHFILE}" ]; then
- echo "missing"
- exit 1
-fi
-
-${PROGRAM} ${SPLASHFILE} > /dev/null &
-if [ $? -eq 0 ]; then
- echo "loaded"
-else
- echo "failed"
-fi
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/rcK b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/rcK
deleted file mode 100644
index 1db1400fa4..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/rcK
+++ /dev/null
@@ -1,6 +0,0 @@
-#!/bin/sh
-
-echo "Shutting down ..."
-for k in /etc/init.d/K*; do
- $k stop
-done
diff --git a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/rcS b/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/rcS
deleted file mode 100644
index a8ea85cdc8..0000000000
--- a/target/device/Atmel/atstk1005/target_skeleton/etc/init.d/rcS
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-
-for s in /etc/init.d/S*; do
- if [ -x $s ]; then
- $s start
- fi
-done
-
-echo
-echo "STK1000 ready"
-echo